//---------------------------------------------------------------------------

#include <vcl.h>
#include <iostream>
#include <iterator>
#include <set>
#include <string>
#include <algorithm>
#include <conio.h> //  getch()
#pragma hdrstop

//---------------------------------------------------------------------------

#pragma argsused
using namespace std;
std::string ToRus(const std::string &in)
{
  char *buff = new char [in.length()+1];
  CharToOem(in.c_str(),buff);
  std::string out(buff);
  delete [] buff;
  return out;
}

int main(int argc, char* argv[])
{
  set<int> coll;

  //      1  9
  for (int i=1; i<=9; ++i) {
    coll.insert(i);
  }
  //    
  cout << ToRus(" :\n");
  copy (coll.begin(), coll.end(), // 
    ostream_iterator<int>(cout," ")); // 
  cout << endl;

  //      3
  // -  remove()  
  // -   erase()

  int num = coll.erase(3);
  //   "" 
  cout << ToRus("  : ") << num << endl;

  //     
  cout << ToRus("  :\n");
  copy (coll.begin(), coll.end(), // 
    ostream_iterator<int>(cout," ")); // 

  cout << endl;

  getch();
  return 0;
}
//---------------------------------------------------------------------------
